package com.inkasso.factoring.salesManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * 销售合同-签署确认合同信息
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
@TableName("c_sales_sign_confirmation_electronic_info")
public class CSalesSignConfirmationElectronicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同-签署确认表Id
     */
    @TableField("c_sales_sign_confirmation_id")
    private Long cSalesSignConfirmationId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同id
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 电子签个人信息表Id
     */
    @TableField("electronic_signature_personal_id")
    private Long electronicSignaturePersonalId;

    /**
     * 客户合同交易id
     */
    @TableField("transaction_id")
    private String transactionId;

    /**
     * 客户签署状态 0 未签署 1 已签署
     */
    @TableField("sign_status")
    private Integer signStatus;

    /**
     * 电子签回调文件
     */
    @TableField("back_file_id")
    private Long backFileId;

    /**
     * 出证电子签文件
     */
    @TableField("report_file_id")
    private Long reportFileId;

    /**
     * 电子签文件
     */
    @TableField("file_id")
    private Long fileId;


    /**
     * 是否回调 1是 0 否
     */
    @TableField("call_back")
    private Integer callBack;

    public Long getcSalesSignConfirmationId() {
        return cSalesSignConfirmationId;
    }

    public void setcSalesSignConfirmationId(Long cSalesSignConfirmationId) {
        this.cSalesSignConfirmationId = cSalesSignConfirmationId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public Long getElectronicSignaturePersonalId() {
        return electronicSignaturePersonalId;
    }

    public void setElectronicSignaturePersonalId(Long electronicSignaturePersonalId) {
        this.electronicSignaturePersonalId = electronicSignaturePersonalId;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public Long getBackFileId() {
        return backFileId;
    }

    public void setBackFileId(Long backFileId) {
        this.backFileId = backFileId;
    }

    public Long getReportFileId() {
        return reportFileId;
    }

    public void setReportFileId(Long reportFileId) {
        this.reportFileId = reportFileId;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Integer getCallBack() {
        return callBack;
    }

    public void setCallBack(Integer callBack) {
        this.callBack = callBack;
    }

    @Override
    public String toString() {
        return "CSalesSignConfirmationElectronicInfo{" +
                ", contractName=" + contractName +
                ", contractId=" + contractId +
                ", electronicSignaturePersonalId=" + electronicSignaturePersonalId +
                ", transactionId=" + transactionId +
                ", signStatus=" + signStatus +
                "}";
    }
}
